/*
 *
 * @Component			OMAPCONF
 * @Filename			cm_dra7xx-defs.h
 * @Description			DRA7 CM Registers Definitions & Functions
 * @Author			Jin Zheng (j-zheng@ti.com)
 * @Date			2013
 * @Copyright			Texas Instruments Incorporated
 *
 *
 * Copyright (C) 2013 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


#ifndef __CM_DRA7XX_DEFS_H__
#define __CM_DRA7XX_DEFS_H__

#include <reg.h>
#include <dpll.h>
#include <stdio.h>

#define DRA7XX_DSP1_CM_CORE_AON_CM_DSP1_CLKSTCTRL	0x4a005400
extern reg dra7xx_dsp1_cm_core_aon_cm_dsp1_clkstctrl;
#define DRA7XX_DSP1_CM_CORE_AON_CM_DSP1_STATICDEP	0x4a005404
extern reg dra7xx_dsp1_cm_core_aon_cm_dsp1_staticdep;
#define DRA7XX_DSP1_CM_CORE_AON_CM_DSP1_DYNAMICDEP	0x4a005408
extern reg dra7xx_dsp1_cm_core_aon_cm_dsp1_dynamicdep;
#define DRA7XX_DSP1_CM_CORE_AON_CM_DSP1_DSP1_CLKCTRL	0x4a005420
extern reg dra7xx_dsp1_cm_core_aon_cm_dsp1_dsp1_clkctrl;
#define DRA7XX_DSP2_CM_CORE_AON_CM_DSP2_CLKSTCTRL	0x4a005600
extern reg dra7xx_dsp2_cm_core_aon_cm_dsp2_clkstctrl;
#define DRA7XX_DSP2_CM_CORE_AON_CM_DSP2_STATICDEP	0x4a005604
extern reg dra7xx_dsp2_cm_core_aon_cm_dsp2_staticdep;
#define DRA7XX_DSP2_CM_CORE_AON_CM_DSP2_DYNAMICDEP	0x4a005608
extern reg dra7xx_dsp2_cm_core_aon_cm_dsp2_dynamicdep;
#define DRA7XX_DSP2_CM_CORE_AON_CM_DSP2_DSP2_CLKCTRL	0x4a005620
extern reg dra7xx_dsp2_cm_core_aon_cm_dsp2_dsp2_clkctrl;
#define DRA7XX_DSP_CM_CORE_AON_MOD_REGCOUNT		8
extern reg *dra7xx_dsp_cm_core_aon_mod[DRA7XX_DSP_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_EVE1_CM_CORE_AON_CM_EVE1_CLKSTCTRL	0x4a005640
extern reg dra7xx_eve1_cm_core_aon_cm_eve1_clkstctrl;
#define DRA7XX_EVE1_CM_CORE_AON_CM_EVE1_STATICDEP	0x4a005644
extern reg dra7xx_eve1_cm_core_aon_cm_eve1_staticdep;
#define DRA7XX_EVE1_CM_CORE_AON_CM_EVE1_EVE1_CLKCTRL	0x4a005660
extern reg dra7xx_eve1_cm_core_aon_cm_eve1_eve1_clkctrl;
#define DRA7XX_EVE2_CM_CORE_AON_CM_EVE2_CLKSTCTRL	0x4a005680
extern reg dra7xx_eve2_cm_core_aon_cm_eve2_clkstctrl;
#define DRA7XX_EVE2_CM_CORE_AON_CM_EVE2_STATICDEP	0x4a005684
extern reg dra7xx_eve2_cm_core_aon_cm_eve2_staticdep;
#define DRA7XX_EVE2_CM_CORE_AON_CM_EVE2_EVE2_CLKCTRL	0x4a0056a0
extern reg dra7xx_eve2_cm_core_aon_cm_eve2_eve2_clkctrl;
#define DRA7XX_EVE3_CM_CORE_AON_CM_EVE3_CLKSTCTRL	0x4a0056c0
extern reg dra7xx_eve3_cm_core_aon_cm_eve3_clkstctrl;
#define DRA7XX_EVE3_CM_CORE_AON_CM_EVE3_STATICDEP	0x4a0056c4
extern reg dra7xx_eve3_cm_core_aon_cm_eve3_staticdep;
#define DRA7XX_EVE3_CM_CORE_AON_CM_EVE3_EVE3_CLKCTRL	0x4a0056e0
extern reg dra7xx_eve3_cm_core_aon_cm_eve3_eve3_clkctrl;
#define DRA7XX_EVE4_CM_CORE_AON_CM_EVE4_CLKSTCTRL	0x4a005700
extern reg dra7xx_eve4_cm_core_aon_cm_eve4_clkstctrl;
#define DRA7XX_EVE4_CM_CORE_AON_CM_EVE4_STATICDEP	0x4a005704
extern reg dra7xx_eve4_cm_core_aon_cm_eve4_staticdep;
#define DRA7XX_EVE4_CM_CORE_AON_CM_EVE4_EVE4_CLKCTRL	0x4a005720
extern reg dra7xx_eve4_cm_core_aon_cm_eve4_eve4_clkctrl;
#define DRA7XX_EVE_CM_CORE_AON_MOD_REGCOUNT		12
extern reg *dra7xx_eve_cm_core_aon_mod[DRA7XX_EVE_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_INSTR_CM_CORE_AON_CMI_IDENTICATION	0x4a005f00
extern reg dra7xx_instr_cm_core_aon_cmi_identication;
#define DRA7XX_INSTR_CM_CORE_AON_CMI_SYS_CONFIG		0x4a005f10
extern reg dra7xx_instr_cm_core_aon_cmi_sys_config;
#define DRA7XX_INSTR_CM_CORE_AON_CMI_STATUS		0x4a005f14
extern reg dra7xx_instr_cm_core_aon_cmi_status;
#define DRA7XX_INSTR_CM_CORE_AON_CMI_CONFIGURATION	0x4a005f24
extern reg dra7xx_instr_cm_core_aon_cmi_configuration;
#define DRA7XX_INSTR_CM_CORE_AON_CMI_CLASS_FILTERING	0x4a005f28
extern reg dra7xx_instr_cm_core_aon_cmi_class_filtering;
#define DRA7XX_INSTR_CM_CORE_AON_CMI_TRIGGERING		0x4a005f2c
extern reg dra7xx_instr_cm_core_aon_cmi_triggering;
#define DRA7XX_INSTR_CM_CORE_AON_CMI_SAMPLING		0x4a005f30
extern reg dra7xx_instr_cm_core_aon_cmi_sampling;
#define DRA7XX_INSTR_CM_CORE_AON_MOD_REGCOUNT		7
extern reg *dra7xx_instr_cm_core_aon_mod[DRA7XX_INSTR_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_IPU_CM_CORE_AON_CM_IPU1_CLKSTCTRL	0x4a005500
extern reg dra7xx_ipu_cm_core_aon_cm_ipu1_clkstctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU1_STATICDEP	0x4a005504
extern reg dra7xx_ipu_cm_core_aon_cm_ipu1_staticdep;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU1_DYNAMICDEP	0x4a005508
extern reg dra7xx_ipu_cm_core_aon_cm_ipu1_dynamicdep;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU1_IPU1_CLKCTRL	0x4a005520
extern reg dra7xx_ipu_cm_core_aon_cm_ipu1_ipu1_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_CLKSTCTRL		0x4a005540
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_clkstctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_MCASP1_CLKCTRL	0x4a005550
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_mcasp1_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_TIMER5_CLKCTRL	0x4a005558
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_timer5_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_TIMER6_CLKCTRL	0x4a005560
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_timer6_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_TIMER7_CLKCTRL	0x4a005568
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_timer7_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_TIMER8_CLKCTRL	0x4a005570
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_timer8_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_I2C5_CLKCTRL	0x4a005578
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_i2c5_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_CM_IPU_UART6_CLKCTRL	0x4a005580
extern reg dra7xx_ipu_cm_core_aon_cm_ipu_uart6_clkctrl;
#define DRA7XX_IPU_CM_CORE_AON_MOD_REGCOUNT		12
extern reg *dra7xx_ipu_cm_core_aon_mod[DRA7XX_IPU_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_MPU_CM_CORE_AON_CM_MPU_CLKSTCTRL		0x4a005300
extern reg dra7xx_mpu_cm_core_aon_cm_mpu_clkstctrl;
#define DRA7XX_MPU_CM_CORE_AON_CM_MPU_STATICDEP		0x4a005304
extern reg dra7xx_mpu_cm_core_aon_cm_mpu_staticdep;
#define DRA7XX_MPU_CM_CORE_AON_CM_MPU_DYNAMICDEP	0x4a005308
extern reg dra7xx_mpu_cm_core_aon_cm_mpu_dynamicdep;
#define DRA7XX_MPU_CM_CORE_AON_CM_MPU_MPU_CLKCTRL	0x4a005320
extern reg dra7xx_mpu_cm_core_aon_cm_mpu_mpu_clkctrl;
#define DRA7XX_MPU_CM_CORE_AON_CM_MPU_MPU_MPU_DBG_CLKCTRL	0x4a005328
extern reg dra7xx_mpu_cm_core_aon_cm_mpu_mpu_mpu_dbg_clkctrl;
#define DRA7XX_MPU_CM_CORE_AON_MOD_REGCOUNT			5
extern reg *dra7xx_mpu_cm_core_aon_mod[DRA7XX_MPU_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_OCP_SOCKET_CM_CORE_AON_REVISION_CM_CORE_AON		0x4a005000
extern reg dra7xx_ocp_socket_cm_core_aon_revision_cm_core_aon;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_CM_CM_CORE_AON_PROFILING_CLKCTRL	0x4a005040
extern reg dra7xx_ocp_socket_cm_core_aon_cm_cm_core_aon_profiling_clkctrl;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_CM_CORE_AON_DEBUG_OUT		0x4a0050ec
extern reg dra7xx_ocp_socket_cm_core_aon_cm_core_aon_debug_out;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_CM_CORE_AON_DEBUG_CFG0		0x4a0050f0
extern reg dra7xx_ocp_socket_cm_core_aon_cm_core_aon_debug_cfg0;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_CM_CORE_AON_DEBUG_CFG1		0x4a0050f4
extern reg dra7xx_ocp_socket_cm_core_aon_cm_core_aon_debug_cfg1;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_CM_CORE_AON_DEBUG_CFG2		0x4a0050f8
extern reg dra7xx_ocp_socket_cm_core_aon_cm_core_aon_debug_cfg2;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_CM_CORE_AON_DEBUG_CFG3		0x4a0050fc
extern reg dra7xx_ocp_socket_cm_core_aon_cm_core_aon_debug_cfg3;
#define DRA7XX_OCP_SOCKET_CM_CORE_AON_MOD_REGCOUNT			7
extern reg *dra7xx_ocp_socket_cm_core_aon_mod[DRA7XX_OCP_SOCKET_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_RESTORE_CM_CORE_AON_CM_CLKSEL_CORE_RESTORE		0x4a005e00
extern reg dra7xx_restore_cm_core_aon_cm_clksel_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_M2_DPLL_CORE_RESTORE		0x4a005e04
extern reg dra7xx_restore_cm_core_aon_cm_div_m2_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_M3_DPLL_CORE_RESTORE		0x4a005e08
extern reg dra7xx_restore_cm_core_aon_cm_div_m3_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H11_DPLL_CORE_RESTORE		0x4a005e0c
extern reg dra7xx_restore_cm_core_aon_cm_div_h11_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H12_DPLL_CORE_RESTORE		0x4a005e10
extern reg dra7xx_restore_cm_core_aon_cm_div_h12_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H13_DPLL_CORE_RESTORE		0x4a005e14
extern reg dra7xx_restore_cm_core_aon_cm_div_h13_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H14_DPLL_CORE_RESTORE		0x4a005e18
extern reg dra7xx_restore_cm_core_aon_cm_div_h14_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H21_DPLL_CORE_RESTORE		0x4a005e1c
extern reg dra7xx_restore_cm_core_aon_cm_div_h21_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H22_DPLL_CORE_RESTORE		0x4a005e20
extern reg dra7xx_restore_cm_core_aon_cm_div_h22_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H23_DPLL_CORE_RESTORE		0x4a005e24
extern reg dra7xx_restore_cm_core_aon_cm_div_h23_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DIV_H24_DPLL_CORE_RESTORE		0x4a005e28
extern reg dra7xx_restore_cm_core_aon_cm_div_h24_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_CLKSEL_DPLL_CORE_RESTORE		0x4a005e2c
extern reg dra7xx_restore_cm_core_aon_cm_clksel_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_CORE_RESTORE	0x4a005e30
extern reg dra7xx_restore_cm_core_aon_cm_ssc_deltamstep_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_CORE_RESTORE	0x4a005e34
extern reg dra7xx_restore_cm_core_aon_cm_ssc_modfreqdiv_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_CLKMODE_DPLL_CORE_RESTORE		0x4a005e38
extern reg dra7xx_restore_cm_core_aon_cm_clkmode_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_SHADOW_FREQ_CONFIG2_RESTORE	0x4a005e3c
extern reg dra7xx_restore_cm_core_aon_cm_shadow_freq_config2_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_SHADOW_FREQ_CONFIG1_RESTORE	0x4a005e40
extern reg dra7xx_restore_cm_core_aon_cm_shadow_freq_config1_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_AUTOIDLE_DPLL_CORE_RESTORE	0x4a005e44
extern reg dra7xx_restore_cm_core_aon_cm_autoidle_dpll_core_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_MPU_CLKSTCTRL_RESTORE		0x4a005e48
extern reg dra7xx_restore_cm_core_aon_cm_mpu_clkstctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_CM_CORE_AON_PROFILING_CLKCTRL_RESTORE	0x4a005e4c
extern reg dra7xx_restore_cm_core_aon_cm_cm_core_aon_profiling_clkctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_CM_DYN_DEP_PRESCAL_RESTORE		0x4a005e50
extern reg dra7xx_restore_cm_core_aon_cm_dyn_dep_prescal_restore;
#define DRA7XX_RESTORE_CM_CORE_AON_MOD_REGCOUNT				21
extern reg *dra7xx_restore_cm_core_aon_mod[DRA7XX_RESTORE_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_RTC_CM_CORE_AON_CM_RTC_CLKSTCTRL		0x4a005740
extern reg dra7xx_rtc_cm_core_aon_cm_rtc_clkstctrl;
#define DRA7XX_RTC_CM_CORE_AON_CM_RTC_RTCSS_CLKCTRL	0x4a005744
extern reg dra7xx_rtc_cm_core_aon_cm_rtc_rtcss_clkctrl;
#define DRA7XX_RTC_CM_CORE_AON_MOD_REGCOUNT		2
extern reg *dra7xx_rtc_cm_core_aon_mod[DRA7XX_RTC_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_VPE_CM_CORE_AON_CM_VPE_CLKSTCTRL		0x4a005760
extern reg dra7xx_vpe_cm_core_aon_cm_vpe_clkstctrl;
#define DRA7XX_VPE_CM_CORE_AON_CM_VPE_VPE_CLKCTRL	0x4a005764
extern reg dra7xx_vpe_cm_core_aon_cm_vpe_vpe_clkctrl;
#define DRA7XX_VPE_CM_CORE_AON_CM_VPE_STATICDEP		0x4a005768
extern reg dra7xx_vpe_cm_core_aon_cm_vpe_staticdep;
#define DRA7XX_VPE_CM_CORE_AON_MOD_REGCOUNT		3
extern reg *dra7xx_vpe_cm_core_aon_mod[DRA7XX_VPE_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_CAM_CM_CORE_CM_CAM_CLKSTCTRL		0x4a009000
extern reg dra7xx_cam_cm_core_cm_cam_clkstctrl;
#define DRA7XX_CAM_CM_CORE_CM_CAM_STATICDEP		0x4a009004
extern reg dra7xx_cam_cm_core_cm_cam_staticdep;
#define DRA7XX_CAM_CM_CORE_CM_CAM_VIP1_CLKCTRL		0x4a009020
extern reg dra7xx_cam_cm_core_cm_cam_vip1_clkctrl;
#define DRA7XX_CAM_CM_CORE_CM_CAM_VIP2_CLKCTRL		0x4a009028
extern reg dra7xx_cam_cm_core_cm_cam_vip2_clkctrl;
#define DRA7XX_CAM_CM_CORE_CM_CAM_VIP3_CLKCTRL		0x4a009030
extern reg dra7xx_cam_cm_core_cm_cam_vip3_clkctrl;
#define DRA7XX_CAM_CM_CORE_CM_CAM_LVDSRX_CLKCTRL	0x4a009038
extern reg dra7xx_cam_cm_core_cm_cam_lvdsrx_clkctrl;
#define DRA7XX_CAM_CM_CORE_CM_CAM_CSI1_CLKCTRL		0x4a009040
extern reg dra7xx_cam_cm_core_cm_cam_csi1_clkctrl;
#define DRA7XX_CAM_CM_CORE_CM_CAM_CSI2_CLKCTRL		0x4a009048
extern reg dra7xx_cam_cm_core_cm_cam_csi2_clkctrl;
#define DRA7XX_CAM_CM_CORE_MOD_REGCOUNT			8
extern reg *dra7xx_cam_cm_core_mod[DRA7XX_CAM_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_COREAON_CM_CORE_CM_COREAON_CLKSTCTRL			0x4a008600
extern reg dra7xx_coreaon_cm_core_cm_coreaon_clkstctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_SMARTREFLEX_MPU_CLKCTRL	0x4a008628
extern reg dra7xx_coreaon_cm_core_cm_coreaon_smartreflex_mpu_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_SMARTREFLEX_CORE_CLKCTRL	0x4a008638
extern reg dra7xx_coreaon_cm_core_cm_coreaon_smartreflex_core_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_USB_PHY1_CORE_CLKCTRL		0x4a008640
extern reg dra7xx_coreaon_cm_core_cm_coreaon_usb_phy1_core_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_IO_SRCOMP_CLKCTRL		0x4a008650
extern reg dra7xx_coreaon_cm_core_cm_coreaon_io_srcomp_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_SMARTREFLEX_GPU_CLKCTRL	0x4a008658
extern reg dra7xx_coreaon_cm_core_cm_coreaon_smartreflex_gpu_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_SMARTREFLEX_DSPEVE_CLKCTRL	0x4a008668
extern reg dra7xx_coreaon_cm_core_cm_coreaon_smartreflex_dspeve_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_SMARTREFLEX_IVAHD_CLKCTRL	0x4a008678
extern reg dra7xx_coreaon_cm_core_cm_coreaon_smartreflex_ivahd_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_USB_PHY2_CORE_CLKCTRL		0x4a008688
extern reg dra7xx_coreaon_cm_core_cm_coreaon_usb_phy2_core_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_USB_PHY3_CORE_CLKCTRL		0x4a008698
extern reg dra7xx_coreaon_cm_core_cm_coreaon_usb_phy3_core_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_DUMMY_MODULE1_CLKCTRL		0x4a0086a0
extern reg dra7xx_coreaon_cm_core_cm_coreaon_dummy_module1_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_DUMMY_MODULE2_CLKCTRL		0x4a0086b0
extern reg dra7xx_coreaon_cm_core_cm_coreaon_dummy_module2_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_DUMMY_MODULE3_CLKCTRL		0x4a0086c0
extern reg dra7xx_coreaon_cm_core_cm_coreaon_dummy_module3_clkctrl;
#define DRA7XX_COREAON_CM_CORE_CM_COREAON_DUMMY_MODULE4_CLKCTRL		0x4a0086d0
extern reg dra7xx_coreaon_cm_core_cm_coreaon_dummy_module4_clkctrl;
#define DRA7XX_COREAON_CM_CORE_MOD_REGCOUNT				14
extern reg *dra7xx_coreaon_cm_core_mod[DRA7XX_COREAON_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_CLKSTCTRL		0x4a008700
extern reg dra7xx_core_cm_core_cm_l3main1_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_DYNAMICDEP		0x4a008708
extern reg dra7xx_core_cm_core_cm_l3main1_dynamicdep;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_L3_MAIN_1_CLKCTRL	0x4a008720
extern reg dra7xx_core_cm_core_cm_l3main1_l3_main_1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_GPMC_CLKCTRL		0x4a008728
extern reg dra7xx_core_cm_core_cm_l3main1_gpmc_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_MMU_EDMA_CLKCTRL		0x4a008730
extern reg dra7xx_core_cm_core_cm_l3main1_mmu_edma_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_MMU_PCIESS_CLKCTRL	0x4a008748
extern reg dra7xx_core_cm_core_cm_l3main1_mmu_pciess_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_OCMC_RAM1_CLKCTRL	0x4a008750
extern reg dra7xx_core_cm_core_cm_l3main1_ocmc_ram1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_OCMC_RAM2_CLKCTRL	0x4a008758
extern reg dra7xx_core_cm_core_cm_l3main1_ocmc_ram2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_OCMC_RAM3_CLKCTRL	0x4a008760
extern reg dra7xx_core_cm_core_cm_l3main1_ocmc_ram3_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_OCMC_ROM_CLKCTRL		0x4a008768
extern reg dra7xx_core_cm_core_cm_l3main1_ocmc_rom_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_TPCC_CLKCTRL		0x4a008770
extern reg dra7xx_core_cm_core_cm_l3main1_tpcc_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_TPTC1_CLKCTRL		0x4a008778
extern reg dra7xx_core_cm_core_cm_l3main1_tptc1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_TPTC2_CLKCTRL		0x4a008780
extern reg dra7xx_core_cm_core_cm_l3main1_tptc2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_VCP1_CLKCTRL		0x4a008788
extern reg dra7xx_core_cm_core_cm_l3main1_vcp1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_VCP2_CLKCTRL		0x4a008790
extern reg dra7xx_core_cm_core_cm_l3main1_vcp2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_CME_CLKCTRL	0x4a008798
extern reg dra7xx_core_cm_core_cm_l3main1_spare_cme_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_HDMI_CLKCTRL	0x4a0087a0
extern reg dra7xx_core_cm_core_cm_l3main1_spare_hdmi_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_ICM_CLKCTRL	0x4a0087a8
extern reg dra7xx_core_cm_core_cm_l3main1_spare_icm_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_IVA2_CLKCTRL	0x4a0087b0
extern reg dra7xx_core_cm_core_cm_l3main1_spare_iva2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_SATA2_CLKCTRL	0x4a0087b8
extern reg dra7xx_core_cm_core_cm_l3main1_spare_sata2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_UNKNOWN4_CLKCTRL	0x4a0087c0
extern reg dra7xx_core_cm_core_cm_l3main1_spare_unknown4_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_UNKNOWN5_CLKCTRL	0x4a0087c8
extern reg dra7xx_core_cm_core_cm_l3main1_spare_unknown5_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_UNKNOWN6_CLKCTRL	0x4a0087d0
extern reg dra7xx_core_cm_core_cm_l3main1_spare_unknown6_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_VIDEOPLL1_CLKCTRL	0x4a0087d8
extern reg dra7xx_core_cm_core_cm_l3main1_spare_videopll1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_VIDEOPLL2_CLKCTRL	0x4a0087f0
extern reg dra7xx_core_cm_core_cm_l3main1_spare_videopll2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3MAIN1_SPARE_VIDEOPLL3_CLKCTRL	0x4a0087f8
extern reg dra7xx_core_cm_core_cm_l3main1_spare_videopll3_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_IPU2_CLKSTCTRL			0x4a008900
extern reg dra7xx_core_cm_core_cm_ipu2_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_IPU2_STATICDEP			0x4a008904
extern reg dra7xx_core_cm_core_cm_ipu2_staticdep;
#define DRA7XX_CORE_CM_CORE_CM_IPU2_DYNAMICDEP			0x4a008908
extern reg dra7xx_core_cm_core_cm_ipu2_dynamicdep;
#define DRA7XX_CORE_CM_CORE_CM_IPU2_IPU2_CLKCTRL		0x4a008920
extern reg dra7xx_core_cm_core_cm_ipu2_ipu2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_DMA_CLKSTCTRL			0x4a008a00
extern reg dra7xx_core_cm_core_cm_dma_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_DMA_STATICDEP			0x4a008a04
extern reg dra7xx_core_cm_core_cm_dma_staticdep;
#define DRA7XX_CORE_CM_CORE_CM_DMA_DYNAMICDEP			0x4a008a08
extern reg dra7xx_core_cm_core_cm_dma_dynamicdep;
#define DRA7XX_CORE_CM_CORE_CM_DMA_DMA_SYSTEM_CLKCTRL		0x4a008a20
extern reg dra7xx_core_cm_core_cm_dma_dma_system_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_EMIF_CLKSTCTRL			0x4a008b00
extern reg dra7xx_core_cm_core_cm_emif_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_EMIF_DMM_CLKCTRL			0x4a008b20
extern reg dra7xx_core_cm_core_cm_emif_dmm_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_EMIF_EMIF_OCP_FW_CLKCTRL		0x4a008b28
extern reg dra7xx_core_cm_core_cm_emif_emif_ocp_fw_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_EMIF_EMIF1_CLKCTRL		0x4a008b30
extern reg dra7xx_core_cm_core_cm_emif_emif1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_EMIF_EMIF2_CLKCTRL		0x4a008b38
extern reg dra7xx_core_cm_core_cm_emif_emif2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_EMIF_EMIF_DLL_CLKCTRL		0x4a008b40
extern reg dra7xx_core_cm_core_cm_emif_emif_dll_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_ATL_ATL_CLKCTRL			0x4a008c00
extern reg dra7xx_core_cm_core_cm_atl_atl_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_ATL_CLKSTCTRL			0x4a008c20
extern reg dra7xx_core_cm_core_cm_atl_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_CLKSTCTRL			0x4a008d00
extern reg dra7xx_core_cm_core_cm_l4cfg_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_DYNAMICDEP			0x4a008d08
extern reg dra7xx_core_cm_core_cm_l4cfg_dynamicdep;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_L4_CFG_CLKCTRL		0x4a008d20
extern reg dra7xx_core_cm_core_cm_l4cfg_l4_cfg_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_SPINLOCK_CLKCTRL		0x4a008d28
extern reg dra7xx_core_cm_core_cm_l4cfg_spinlock_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX1_CLKCTRL		0x4a008d30
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox1_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_SAR_ROM_CLKCTRL		0x4a008d38
extern reg dra7xx_core_cm_core_cm_l4cfg_sar_rom_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_OCP2SCP2_CLKCTRL		0x4a008d40
extern reg dra7xx_core_cm_core_cm_l4cfg_ocp2scp2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX2_CLKCTRL		0x4a008d48
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX3_CLKCTRL		0x4a008d50
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox3_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX4_CLKCTRL		0x4a008d58
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox4_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX5_CLKCTRL		0x4a008d60
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox5_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX6_CLKCTRL		0x4a008d68
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox6_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX7_CLKCTRL		0x4a008d70
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox7_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX8_CLKCTRL		0x4a008d78
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox8_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX9_CLKCTRL		0x4a008d80
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox9_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX10_CLKCTRL		0x4a008d88
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox10_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX11_CLKCTRL		0x4a008d90
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox11_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX12_CLKCTRL		0x4a008d98
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox12_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_MAILBOX13_CLKCTRL		0x4a008da0
extern reg dra7xx_core_cm_core_cm_l4cfg_mailbox13_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_SPARE_SMARTREFLEX_RTC_CLKCTRL	0x4a008da8
extern reg dra7xx_core_cm_core_cm_l4cfg_spare_smartreflex_rtc_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_SPARE_SMARTREFLEX_SDRAM_CLKCTRL	0x4a008db0
extern reg dra7xx_core_cm_core_cm_l4cfg_spare_smartreflex_sdram_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_SPARE_SMARTREFLEX_WKUP_CLKCTRL	0x4a008db8
extern reg dra7xx_core_cm_core_cm_l4cfg_spare_smartreflex_wkup_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L4CFG_IO_DELAY_BLOCK_CLKCTRL	0x4a008dc0
extern reg dra7xx_core_cm_core_cm_l4cfg_io_delay_block_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3INSTR_CLKSTCTRL		0x4a008e00
extern reg dra7xx_core_cm_core_cm_l3instr_clkstctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3INSTR_L3_MAIN_2_CLKCTRL	0x4a008e20
extern reg dra7xx_core_cm_core_cm_l3instr_l3_main_2_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3INSTR_L3_INSTR_CLKCTRL		0x4a008e28
extern reg dra7xx_core_cm_core_cm_l3instr_l3_instr_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3INSTR_OCP_WP_NOC_CLKCTRL	0x4a008e40
extern reg dra7xx_core_cm_core_cm_l3instr_ocp_wp_noc_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3INSTR_DLL_AGING_CLKCTRL	0x4a008e48
extern reg dra7xx_core_cm_core_cm_l3instr_dll_aging_clkctrl;
#define DRA7XX_CORE_CM_CORE_CM_L3INSTR_CTRL_MODULE_BANDGAP_CLKCTRL	0x4a008e50
extern reg dra7xx_core_cm_core_cm_l3instr_ctrl_module_bandgap_clkctrl;
#define DRA7XX_CORE_CM_CORE_MOD_REGCOUNT			71
extern reg *dra7xx_core_cm_core_mod[DRA7XX_CORE_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_CUSTEFUSE_CM_CORE_CM_CUSTEFUSE_CLKSTCTRL			0x4a009600
extern reg dra7xx_custefuse_cm_core_cm_custefuse_clkstctrl;
#define DRA7XX_CUSTEFUSE_CM_CORE_CM_CUSTEFUSE_EFUSE_CTRL_CUST_CLKCTRL	0x4a009620
extern reg dra7xx_custefuse_cm_core_cm_custefuse_efuse_ctrl_cust_clkctrl;
#define DRA7XX_CUSTEFUSE_CM_CORE_MOD_REGCOUNT				2
extern reg *dra7xx_custefuse_cm_core_mod[DRA7XX_CUSTEFUSE_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_DSS_CM_CORE_CM_DSS_CLKSTCTRL		0x4a009100
extern reg dra7xx_dss_cm_core_cm_dss_clkstctrl;
#define DRA7XX_DSS_CM_CORE_CM_DSS_STATICDEP		0x4a009104
extern reg dra7xx_dss_cm_core_cm_dss_staticdep;
#define DRA7XX_DSS_CM_CORE_CM_DSS_DYNAMICDEP		0x4a009108
extern reg dra7xx_dss_cm_core_cm_dss_dynamicdep;
#define DRA7XX_DSS_CM_CORE_CM_DSS_DSS_CLKCTRL		0x4a009120
extern reg dra7xx_dss_cm_core_cm_dss_dss_clkctrl;
#define DRA7XX_DSS_CM_CORE_CM_DSS_BB2D_CLKCTRL		0x4a009130
extern reg dra7xx_dss_cm_core_cm_dss_bb2d_clkctrl;
#define DRA7XX_DSS_CM_CORE_CM_DSS_SDVENC_CLKCTRL	0x4a00913c
extern reg dra7xx_dss_cm_core_cm_dss_sdvenc_clkctrl;
#define DRA7XX_DSS_CM_CORE_MOD_REGCOUNT		6
extern reg *dra7xx_dss_cm_core_mod[DRA7XX_DSS_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_GPU_CM_CORE_CM_GPU_CLKSTCTRL	0x4a009200
extern reg dra7xx_gpu_cm_core_cm_gpu_clkstctrl;
#define DRA7XX_GPU_CM_CORE_CM_GPU_STATICDEP	0x4a009204
extern reg dra7xx_gpu_cm_core_cm_gpu_staticdep;
#define DRA7XX_GPU_CM_CORE_CM_GPU_DYNAMICDEP	0x4a009208
extern reg dra7xx_gpu_cm_core_cm_gpu_dynamicdep;
#define DRA7XX_GPU_CM_CORE_CM_GPU_GPU_CLKCTRL	0x4a009220
extern reg dra7xx_gpu_cm_core_cm_gpu_gpu_clkctrl;
#define DRA7XX_GPU_CM_CORE_MOD_REGCOUNT		4
extern reg *dra7xx_gpu_cm_core_mod[DRA7XX_GPU_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_IVA_CM_CORE_CM_IVA_CLKSTCTRL	0x4a008f00
extern reg dra7xx_iva_cm_core_cm_iva_clkstctrl;
#define DRA7XX_IVA_CM_CORE_CM_IVA_STATICDEP	0x4a008f04
extern reg dra7xx_iva_cm_core_cm_iva_staticdep;
#define DRA7XX_IVA_CM_CORE_CM_IVA_DYNAMICDEP	0x4a008f08
extern reg dra7xx_iva_cm_core_cm_iva_dynamicdep;
#define DRA7XX_IVA_CM_CORE_CM_IVA_IVA_CLKCTRL	0x4a008f20
extern reg dra7xx_iva_cm_core_cm_iva_iva_clkctrl;
#define DRA7XX_IVA_CM_CORE_CM_IVA_SL2_CLKCTRL	0x4a008f28
extern reg dra7xx_iva_cm_core_cm_iva_sl2_clkctrl;
#define DRA7XX_IVA_CM_CORE_MOD_REGCOUNT		5
extern reg *dra7xx_iva_cm_core_mod[DRA7XX_IVA_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_CLKSTCTRL	0x4a009300
extern reg dra7xx_l3init_cm_core_cm_l3init_clkstctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_STATICDEP	0x4a009304
extern reg dra7xx_l3init_cm_core_cm_l3init_staticdep;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_DYNAMICDEP	0x4a009308
extern reg dra7xx_l3init_cm_core_cm_l3init_dynamicdep;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_MMC1_CLKCTRL	0x4a009328
extern reg dra7xx_l3init_cm_core_cm_l3init_mmc1_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_MMC2_CLKCTRL	0x4a009330
extern reg dra7xx_l3init_cm_core_cm_l3init_mmc2_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_USB_OTG_SS2_CLKCTRL	0x4a009340
extern reg dra7xx_l3init_cm_core_cm_l3init_usb_otg_ss2_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_USB_OTG_SS3_CLKCTRL	0x4a009348
extern reg dra7xx_l3init_cm_core_cm_l3init_usb_otg_ss3_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_USB_OTG_SS4_CLKCTRL	0x4a009350
extern reg dra7xx_l3init_cm_core_cm_l3init_usb_otg_ss4_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_MLB_SS_CLKCTRL		0x4a009358
extern reg dra7xx_l3init_cm_core_cm_l3init_mlb_ss_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_IEEE1500_2_OCP_CLKCTRL	0x4a009378
extern reg dra7xx_l3init_cm_core_cm_l3init_ieee1500_2_ocp_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_SATA_CLKCTRL		0x4a009388
extern reg dra7xx_l3init_cm_core_cm_l3init_sata_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_PCIE_CLKSTCTRL			0x4a0093a0
extern reg dra7xx_l3init_cm_core_cm_pcie_clkstctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_PCIE_STATICDEP			0x4a0093a4
extern reg dra7xx_l3init_cm_core_cm_pcie_staticdep;
#define DRA7XX_L3INIT_CM_CORE_CM_PCIE_PCIESS1_CLKCTRL		0x4a0093b0
extern reg dra7xx_l3init_cm_core_cm_pcie_pciess1_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_PCIE_PCIESS2_CLKCTRL		0x4a0093b8
extern reg dra7xx_l3init_cm_core_cm_pcie_pciess2_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_GMAC_CLKSTCTRL			0x4a0093c0
extern reg dra7xx_l3init_cm_core_cm_gmac_clkstctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_GMAC_STATICDEP			0x4a0093c4
extern reg dra7xx_l3init_cm_core_cm_gmac_staticdep;
#define DRA7XX_L3INIT_CM_CORE_CM_GMAC_DYNAMICDEP		0x4a0093c8
extern reg dra7xx_l3init_cm_core_cm_gmac_dynamicdep;
#define DRA7XX_L3INIT_CM_CORE_CM_GMAC_GMAC_CLKCTRL		0x4a0093d0
extern reg dra7xx_l3init_cm_core_cm_gmac_gmac_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_OCP2SCP1_CLKCTRL	0x4a0093e0
extern reg dra7xx_l3init_cm_core_cm_l3init_ocp2scp1_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_OCP2SCP3_CLKCTRL	0x4a0093e8
extern reg dra7xx_l3init_cm_core_cm_l3init_ocp2scp3_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_CM_L3INIT_USB_OTG_SS1_CLKCTRL	0x4a0093f0
extern reg dra7xx_l3init_cm_core_cm_l3init_usb_otg_ss1_clkctrl;
#define DRA7XX_L3INIT_CM_CORE_MOD_REGCOUNT			22
extern reg *dra7xx_l3init_cm_core_mod[DRA7XX_L3INIT_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_L4PER_CM_CORE_CM_L4PER_CLKSTCTRL		0x4a009700
extern reg dra7xx_l4per_cm_core_cm_l4per_clkstctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_DYNAMICDEP	0x4a009708
extern reg dra7xx_l4per_cm_core_cm_l4per_dynamicdep;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_L4_PER2_CLKCTRL	0x4a00970c
extern reg dra7xx_l4per_cm_core_cm_l4per2_l4_per2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_L4_PER3_CLKCTRL	0x4a009714
extern reg dra7xx_l4per_cm_core_cm_l4per3_l4_per3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_PRUSS1_CLKCTRL	0x4a009718
extern reg dra7xx_l4per_cm_core_cm_l4per2_pruss1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_PRUSS2_CLKCTRL	0x4a009720
extern reg dra7xx_l4per_cm_core_cm_l4per2_pruss2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_TIMER10_CLKCTRL	0x4a009728
extern reg dra7xx_l4per_cm_core_cm_l4per_timer10_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_TIMER11_CLKCTRL	0x4a009730
extern reg dra7xx_l4per_cm_core_cm_l4per_timer11_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_TIMER2_CLKCTRL	0x4a009738
extern reg dra7xx_l4per_cm_core_cm_l4per_timer2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_TIMER3_CLKCTRL	0x4a009740
extern reg dra7xx_l4per_cm_core_cm_l4per_timer3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_TIMER4_CLKCTRL	0x4a009748
extern reg dra7xx_l4per_cm_core_cm_l4per_timer4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_TIMER9_CLKCTRL	0x4a009750
extern reg dra7xx_l4per_cm_core_cm_l4per_timer9_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_ELM_CLKCTRL	0x4a009758
extern reg dra7xx_l4per_cm_core_cm_l4per_elm_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO2_CLKCTRL	0x4a009760
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO3_CLKCTRL	0x4a009768
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO4_CLKCTRL	0x4a009770
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO5_CLKCTRL	0x4a009778
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio5_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO6_CLKCTRL	0x4a009780
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio6_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_HDQ1W_CLKCTRL	0x4a009788
extern reg dra7xx_l4per_cm_core_cm_l4per_hdq1w_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_PWMSS2_CLKCTRL	0x4a009790
extern reg dra7xx_l4per_cm_core_cm_l4per2_pwmss2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_PWMSS3_CLKCTRL	0x4a009798
extern reg dra7xx_l4per_cm_core_cm_l4per2_pwmss3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_I2C1_CLKCTRL	0x4a0097a0
extern reg dra7xx_l4per_cm_core_cm_l4per_i2c1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_I2C2_CLKCTRL	0x4a0097a8
extern reg dra7xx_l4per_cm_core_cm_l4per_i2c2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_I2C3_CLKCTRL	0x4a0097b0
extern reg dra7xx_l4per_cm_core_cm_l4per_i2c3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_I2C4_CLKCTRL	0x4a0097b8
extern reg dra7xx_l4per_cm_core_cm_l4per_i2c4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_L4_PER1_CLKCTRL	0x4a0097c0
extern reg dra7xx_l4per_cm_core_cm_l4per_l4_per1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_PWMSS1_CLKCTRL	0x4a0097c4
extern reg dra7xx_l4per_cm_core_cm_l4per2_pwmss1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_TIMER13_CLKCTRL	0x4a0097c8
extern reg dra7xx_l4per_cm_core_cm_l4per3_timer13_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_TIMER14_CLKCTRL	0x4a0097d0
extern reg dra7xx_l4per_cm_core_cm_l4per3_timer14_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_TIMER15_CLKCTRL	0x4a0097d8
extern reg dra7xx_l4per_cm_core_cm_l4per3_timer15_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_MCSPI1_CLKCTRL	0x4a0097f0
extern reg dra7xx_l4per_cm_core_cm_l4per_mcspi1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_MCSPI2_CLKCTRL	0x4a0097f8
extern reg dra7xx_l4per_cm_core_cm_l4per_mcspi2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_MCSPI3_CLKCTRL	0x4a009800
extern reg dra7xx_l4per_cm_core_cm_l4per_mcspi3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_MCSPI4_CLKCTRL	0x4a009808
extern reg dra7xx_l4per_cm_core_cm_l4per_mcspi4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO7_CLKCTRL	0x4a009810
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio7_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_GPIO8_CLKCTRL	0x4a009818
extern reg dra7xx_l4per_cm_core_cm_l4per_gpio8_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_MMC3_CLKCTRL	0x4a009820
extern reg dra7xx_l4per_cm_core_cm_l4per_mmc3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_MMC4_CLKCTRL	0x4a009828
extern reg dra7xx_l4per_cm_core_cm_l4per_mmc4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_TIMER16_CLKCTRL	0x4a009830
extern reg dra7xx_l4per_cm_core_cm_l4per3_timer16_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_QSPI_CLKCTRL	0x4a009838
extern reg dra7xx_l4per_cm_core_cm_l4per2_qspi_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_UART1_CLKCTRL	0x4a009840
extern reg dra7xx_l4per_cm_core_cm_l4per_uart1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_UART2_CLKCTRL	0x4a009848
extern reg dra7xx_l4per_cm_core_cm_l4per_uart2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_UART3_CLKCTRL	0x4a009850
extern reg dra7xx_l4per_cm_core_cm_l4per_uart3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_UART4_CLKCTRL	0x4a009858
extern reg dra7xx_l4per_cm_core_cm_l4per_uart4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP2_CLKCTRL	0x4a009860
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP3_CLKCTRL	0x4a009868
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp3_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER_UART5_CLKCTRL	0x4a009870
extern reg dra7xx_l4per_cm_core_cm_l4per_uart5_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP5_CLKCTRL	0x4a009878
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp5_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_CLKSTCTRL		0x4a009880
extern reg dra7xx_l4per_cm_core_cm_l4sec_clkstctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_STATICDEP		0x4a009884
extern reg dra7xx_l4per_cm_core_cm_l4sec_staticdep;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_DYNAMICDEP	0x4a009888
extern reg dra7xx_l4per_cm_core_cm_l4sec_dynamicdep;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP8_CLKCTRL	0x4a009890
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp8_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP4_CLKCTRL	0x4a009898
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp4_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_AES1_CLKCTRL	0x4a0098a0
extern reg dra7xx_l4per_cm_core_cm_l4sec_aes1_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_AES2_CLKCTRL	0x4a0098a8
extern reg dra7xx_l4per_cm_core_cm_l4sec_aes2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_DES3DES_CLKCTRL	0x4a0098b0
extern reg dra7xx_l4per_cm_core_cm_l4sec_des3des_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_FPKA_CLKCTRL	0x4a0098b8
extern reg dra7xx_l4per_cm_core_cm_l4sec_fpka_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_RNG_CLKCTRL	0x4a0098c0
extern reg dra7xx_l4per_cm_core_cm_l4sec_rng_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_SHA2MD51_CLKCTRL	0x4a0098c8
extern reg dra7xx_l4per_cm_core_cm_l4sec_sha2md51_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_UART7_CLKCTRL	0x4a0098d0
extern reg dra7xx_l4per_cm_core_cm_l4per2_uart7_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_DMA_CRYPTO_CLKCTRL	0x4a0098d8
extern reg dra7xx_l4per_cm_core_cm_l4sec_dma_crypto_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_UART8_CLKCTRL	0x4a0098e0
extern reg dra7xx_l4per_cm_core_cm_l4per2_uart8_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_UART9_CLKCTRL	0x4a0098e8
extern reg dra7xx_l4per_cm_core_cm_l4per2_uart9_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_DCAN2_CLKCTRL	0x4a0098f0
extern reg dra7xx_l4per_cm_core_cm_l4per2_dcan2_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4SEC_SHA2MD52_CLKCTRL	0x4a0098f8
extern reg dra7xx_l4per_cm_core_cm_l4sec_sha2md52_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_CLKSTCTRL	0x4a0098fc
extern reg dra7xx_l4per_cm_core_cm_l4per2_clkstctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_DYNAMICDEP	0x4a009900
extern reg dra7xx_l4per_cm_core_cm_l4per2_dynamicdep;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP6_CLKCTRL	0x4a009904
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp6_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_MCASP7_CLKCTRL	0x4a009908
extern reg dra7xx_l4per_cm_core_cm_l4per2_mcasp7_clkctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER2_STATICDEP	0x4a00990c
extern reg dra7xx_l4per_cm_core_cm_l4per2_staticdep;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_CLKSTCTRL	0x4a009910
extern reg dra7xx_l4per_cm_core_cm_l4per3_clkstctrl;
#define DRA7XX_L4PER_CM_CORE_CM_L4PER3_DYNAMICDEP	0x4a009914
extern reg dra7xx_l4per_cm_core_cm_l4per3_dynamicdep;
#define DRA7XX_L4PER_CM_CORE_MOD_REGCOUNT		72
extern reg *dra7xx_l4per_cm_core_mod[DRA7XX_L4PER_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_OCP_SOCKET_CM_CORE_REVISION_CM_CORE		0x4a008000
extern reg dra7xx_ocp_socket_cm_core_revision_cm_core;
#define DRA7XX_OCP_SOCKET_CM_CORE_CM_CM_CORE_PROFILING_CLKCTRL	0x4a008040
extern reg dra7xx_ocp_socket_cm_core_cm_cm_core_profiling_clkctrl;
#define DRA7XX_OCP_SOCKET_CM_CORE_CM_CORE_DEBUG_CFG		0x4a0080f0
extern reg dra7xx_ocp_socket_cm_core_cm_core_debug_cfg;
#define DRA7XX_OCP_SOCKET_CM_CORE_MOD_REGCOUNT			3
extern reg *dra7xx_ocp_socket_cm_core_mod[DRA7XX_OCP_SOCKET_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_RESTORE_CM_CORE_CM_L3MAIN1_CLKSTCTRL_RESTORE	0x4a009e18
extern reg dra7xx_restore_cm_core_cm_l3main1_clkstctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L4CFG_CLKSTCTRL_RESTORE	0x4a009e20
extern reg dra7xx_restore_cm_core_cm_l4cfg_clkstctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L4PER_CLKSTCTRL_RESTORE	0x4a009e28
extern reg dra7xx_restore_cm_core_cm_l4per_clkstctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L3INIT_CLKSTCTRL_RESTORE	0x4a009e2c
extern reg dra7xx_restore_cm_core_cm_l3init_clkstctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L3INSTR_L3_MAIN_2_CLKCTRL_RESTORE	0x4a009e30
extern reg dra7xx_restore_cm_core_cm_l3instr_l3_main_2_clkctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L3INSTR_L3_INSTR_CLKCTRL_RESTORE	0x4a009e34
extern reg dra7xx_restore_cm_core_cm_l3instr_l3_instr_clkctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L3INSTR_OCP_WP_NOC_CLKCTRL_RESTORE	0x4a009e38
extern reg dra7xx_restore_cm_core_cm_l3instr_ocp_wp_noc_clkctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_CM_CORE_PROFILING_CLKCTRL_RESTORE	0x4a009e3c
extern reg dra7xx_restore_cm_core_cm_cm_core_profiling_clkctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L3MAIN1_DYNAMICDEP_RESTORE	0x4a009e48
extern reg dra7xx_restore_cm_core_cm_l3main1_dynamicdep_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L4CFG_DYNAMICDEP_RESTORE	0x4a009e58
extern reg dra7xx_restore_cm_core_cm_l4cfg_dynamicdep_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_L4PER_DYNAMICDEP_RESTORE	0x4a009e5c
extern reg dra7xx_restore_cm_core_cm_l4per_dynamicdep_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_COREAON_IO_SRCOMP_CLKCTRL_RESTORE	0x4a009e60
extern reg dra7xx_restore_cm_core_cm_coreaon_io_srcomp_clkctrl_restore;
#define DRA7XX_RESTORE_CM_CORE_CM_DMA_STATICDEP_RESTORE			0x4a009e6c
extern reg dra7xx_restore_cm_core_cm_dma_staticdep_restore;
#define DRA7XX_RESTORE_CM_CORE_MOD_REGCOUNT				13
extern reg *dra7xx_restore_cm_core_mod[DRA7XX_RESTORE_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_CORE			0x4a005100
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_ABE			0x4a005108
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DLL_CTRL			0x4a005110
extern reg dra7xx_ckgen_cm_core_aon_cm_dll_ctrl;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_CORE		0x4a005120
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_CORE		0x4a005124
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_CORE		0x4a005128
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_CORE		0x4a00512c
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_CORE		0x4a005130
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_CORE		0x4a005134
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H11_DPLL_CORE		0x4a005138
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h11_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H12_DPLL_CORE		0x4a00513c
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h12_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H13_DPLL_CORE		0x4a005140
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h13_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H14_DPLL_CORE		0x4a005144
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h14_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_CORE	0x4a005148
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_CORE	0x4a00514c
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H21_DPLL_CORE		0x4a005150
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h21_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H22_DPLL_CORE		0x4a005154
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h22_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H23_DPLL_CORE		0x4a005158
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h23_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H24_DPLL_CORE		0x4a00515c
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h24_dpll_core;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_MPU		0x4a005160
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_MPU		0x4a005164
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_MPU		0x4a005168
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_MPU		0x4a00516c
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_MPU		0x4a005170
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_MPU	0x4a005188
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_MPU	0x4a00518c
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_BYPCLK_DPLL_MPU		0x4a00519c
extern reg dra7xx_ckgen_cm_core_aon_cm_bypclk_dpll_mpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_IVA		0x4a0051a0
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_IVA		0x4a0051a4
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_IVA		0x4a0051a8
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_IVA		0x4a0051ac
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_IVA		0x4a0051b0
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_IVA		0x4a0051b4
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_IVA	0x4a0051c8
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_IVA	0x4a0051cc
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_BYPCLK_DPLL_IVA		0x4a0051dc
extern reg dra7xx_ckgen_cm_core_aon_cm_bypclk_dpll_iva;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_ABE		0x4a0051e0
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_ABE		0x4a0051e4
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_ABE		0x4a0051e8
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_ABE		0x4a0051ec
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_ABE		0x4a0051f0
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_ABE		0x4a0051f4
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_ABE	0x4a005208
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_ABE	0x4a00520c
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_abe;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_DDR		0x4a005210
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_DDR		0x4a005214
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_DDR		0x4a005218
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_DDR		0x4a00521c
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_DDR		0x4a005220
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_DDR		0x4a005224
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H11_DPLL_DDR		0x4a005228
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h11_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_DDR	0x4a00522c
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_DDR	0x4a005230
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_ddr;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_DSP		0x4a005234
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_DSP		0x4a005238
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_DSP		0x4a00523c
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_DSP		0x4a005240
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_DSP		0x4a005244
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_DSP		0x4a005248
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_DSP	0x4a00524c
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_DSP	0x4a005250
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_BYPCLK_DPLL_DSP		0x4a005254
extern reg dra7xx_ckgen_cm_core_aon_cm_bypclk_dpll_dsp;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SHADOW_FREQ_CONFIG1		0x4a005260
extern reg dra7xx_ckgen_cm_core_aon_cm_shadow_freq_config1;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SHADOW_FREQ_CONFIG2		0x4a005264
extern reg dra7xx_ckgen_cm_core_aon_cm_shadow_freq_config2;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DYN_DEP_PRESCAL		0x4a005270
extern reg dra7xx_ckgen_cm_core_aon_cm_dyn_dep_prescal;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_RESTORE_ST			0x4a005280
extern reg dra7xx_ckgen_cm_core_aon_cm_restore_st;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_EVE		0x4a005284
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_EVE		0x4a005288
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_EVE		0x4a00528c
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_EVE		0x4a005290
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_EVE		0x4a005294
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_EVE		0x4a005298
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_EVE	0x4a00529c
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_EVE	0x4a0052a0
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_BYPCLK_DPLL_EVE		0x4a0052a4
extern reg dra7xx_ckgen_cm_core_aon_cm_bypclk_dpll_eve;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_GMAC		0x4a0052a8
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_GMAC		0x4a0052ac
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_GMAC		0x4a0052b0
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_GMAC		0x4a0052b4
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_GMAC		0x4a0052b8
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_GMAC		0x4a0052bc
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H11_DPLL_GMAC		0x4a0052c0
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h11_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H12_DPLL_GMAC		0x4a0052c4
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h12_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H13_DPLL_GMAC		0x4a0052c8
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h13_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_H14_DPLL_GMAC		0x4a0052cc
extern reg dra7xx_ckgen_cm_core_aon_cm_div_h14_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_GMAC	0x4a0052d0
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_GMAC	0x4a0052d4
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_gmac;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKMODE_DPLL_GPU		0x4a0052d8
extern reg dra7xx_ckgen_cm_core_aon_cm_clkmode_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_IDLEST_DPLL_GPU		0x4a0052dc
extern reg dra7xx_ckgen_cm_core_aon_cm_idlest_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_AUTOIDLE_DPLL_GPU		0x4a0052e0
extern reg dra7xx_ckgen_cm_core_aon_cm_autoidle_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_CLKSEL_DPLL_GPU		0x4a0052e4
extern reg dra7xx_ckgen_cm_core_aon_cm_clksel_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M2_DPLL_GPU		0x4a0052e8
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m2_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_DIV_M3_DPLL_GPU		0x4a0052ec
extern reg dra7xx_ckgen_cm_core_aon_cm_div_m3_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_DELTAMSTEP_DPLL_GPU	0x4a0052f0
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_deltamstep_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_CM_SSC_MODFREQDIV_DPLL_GPU	0x4a0052f4
extern reg dra7xx_ckgen_cm_core_aon_cm_ssc_modfreqdiv_dpll_gpu;
#define DRA7XX_CKGEN_CM_CORE_AON_MOD_REGCOUNT			95
extern reg *dra7xx_ckgen_cm_core_aon_mod[DRA7XX_CKGEN_CM_CORE_AON_MOD_REGCOUNT + 1];

#define DRA7XX_CKGEN_CM_CORE_CM_CLKSEL_USB_60MHZ		0x4a008104
extern reg dra7xx_ckgen_cm_core_cm_clksel_usb_60mhz;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKMODE_DPLL_PER		0x4a008140
extern reg dra7xx_ckgen_cm_core_cm_clkmode_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_IDLEST_DPLL_PER			0x4a008144
extern reg dra7xx_ckgen_cm_core_cm_idlest_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_AUTOIDLE_DPLL_PER		0x4a008148
extern reg dra7xx_ckgen_cm_core_cm_autoidle_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKSEL_DPLL_PER			0x4a00814c
extern reg dra7xx_ckgen_cm_core_cm_clksel_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_M2_DPLL_PER			0x4a008150
extern reg dra7xx_ckgen_cm_core_cm_div_m2_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_M3_DPLL_PER			0x4a008154
extern reg dra7xx_ckgen_cm_core_cm_div_m3_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_H11_DPLL_PER		0x4a008158
extern reg dra7xx_ckgen_cm_core_cm_div_h11_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_H12_DPLL_PER		0x4a00815c
extern reg dra7xx_ckgen_cm_core_cm_div_h12_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_H13_DPLL_PER		0x4a008160
extern reg dra7xx_ckgen_cm_core_cm_div_h13_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_H14_DPLL_PER		0x4a008164
extern reg dra7xx_ckgen_cm_core_cm_div_h14_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_SSC_DELTAMSTEP_DPLL_PER		0x4a008168
extern reg dra7xx_ckgen_cm_core_cm_ssc_deltamstep_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_SSC_MODFREQDIV_DPLL_PER		0x4a00816c
extern reg dra7xx_ckgen_cm_core_cm_ssc_modfreqdiv_dpll_per;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKMODE_DPLL_USB		0x4a008180
extern reg dra7xx_ckgen_cm_core_cm_clkmode_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_IDLEST_DPLL_USB			0x4a008184
extern reg dra7xx_ckgen_cm_core_cm_idlest_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_AUTOIDLE_DPLL_USB		0x4a008188
extern reg dra7xx_ckgen_cm_core_cm_autoidle_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKSEL_DPLL_USB			0x4a00818c
extern reg dra7xx_ckgen_cm_core_cm_clksel_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_M2_DPLL_USB			0x4a008190
extern reg dra7xx_ckgen_cm_core_cm_div_m2_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_SSC_DELTAMSTEP_DPLL_USB		0x4a0081a8
extern reg dra7xx_ckgen_cm_core_cm_ssc_deltamstep_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_SSC_MODFREQDIV_DPLL_USB		0x4a0081ac
extern reg dra7xx_ckgen_cm_core_cm_ssc_modfreqdiv_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKDCOLDO_DPLL_USB		0x4a0081b4
extern reg dra7xx_ckgen_cm_core_cm_clkdcoldo_dpll_usb;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKMODE_DPLL_PCIE_REF		0x4a008200
extern reg dra7xx_ckgen_cm_core_cm_clkmode_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_IDLEST_DPLL_PCIE_REF		0x4a008204
extern reg dra7xx_ckgen_cm_core_cm_idlest_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_AUTOIDLE_DPLL_PCIE_REF		0x4a008208
extern reg dra7xx_ckgen_cm_core_cm_autoidle_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKSEL_DPLL_PCIE_REF		0x4a00820c
extern reg dra7xx_ckgen_cm_core_cm_clksel_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_M2_DPLL_PCIE_REF		0x4a008210
extern reg dra7xx_ckgen_cm_core_cm_div_m2_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_SSC_DELTAMSTEP_DPLL_PCIE_REF	0x4a008214
extern reg dra7xx_ckgen_cm_core_cm_ssc_deltamstep_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_SSC_MODFREQDIV_DPLL_PCIE_REF	0x4a008218
extern reg dra7xx_ckgen_cm_core_cm_ssc_modfreqdiv_dpll_pcie_ref;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKMODE_APLL_PCIE		0x4a00821c
extern reg dra7xx_ckgen_cm_core_cm_clkmode_apll_pcie;
#define DRA7XX_CKGEN_CM_CORE_CM_IDLEST_APLL_PCIE		0x4a008220
extern reg dra7xx_ckgen_cm_core_cm_idlest_apll_pcie;
#define DRA7XX_CKGEN_CM_CORE_CM_DIV_M2_APLL_PCIE		0x4a008224
extern reg dra7xx_ckgen_cm_core_cm_div_m2_apll_pcie;
#define DRA7XX_CKGEN_CM_CORE_CM_CLKVCOLDO_APLL_PCIE		0x4a008228
extern reg dra7xx_ckgen_cm_core_cm_clkvcoldo_apll_pcie;
#define DRA7XX_CKGEN_CM_CORE_MOD_REGCOUNT			32
extern reg *dra7xx_ckgen_cm_core_mod[DRA7XX_CKGEN_CM_CORE_MOD_REGCOUNT + 1];

#define DRA7XX_EMU_CM_CM_EMU_CLKSTCTRL			0x4ae07a00
extern reg dra7xx_emu_cm_cm_emu_clkstctrl;
#define DRA7XX_EMU_CM_CM_EMU_DEBUGSS_CLKCTRL		0x4ae07a04
extern reg dra7xx_emu_cm_cm_emu_debugss_clkctrl;
#define DRA7XX_EMU_CM_CM_EMU_DYNAMICDEP			0x4ae07a08
extern reg dra7xx_emu_cm_cm_emu_dynamicdep;
#define DRA7XX_EMU_CM_CM_EMU_MPU_EMU_DBG_CLKCTRL	0x4ae07a0c
extern reg dra7xx_emu_cm_cm_emu_mpu_emu_dbg_clkctrl;
#define DRA7XX_EMU_CM_MOD_REGCOUNT			4
extern reg *dra7xx_emu_cm_mod[DRA7XX_EMU_CM_MOD_REGCOUNT + 1];

#define DRA7XX_WKUPAON_CM_CM_WKUPAON_CLKSTCTRL		0x4ae07800
extern reg dra7xx_wkupaon_cm_cm_wkupaon_clkstctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_L4_WKUP_CLKCTRL	0x4ae07820
extern reg dra7xx_wkupaon_cm_cm_wkupaon_l4_wkup_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_WD_TIMER1_CLKCTRL	0x4ae07828
extern reg dra7xx_wkupaon_cm_cm_wkupaon_wd_timer1_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_WD_TIMER2_CLKCTRL	0x4ae07830
extern reg dra7xx_wkupaon_cm_cm_wkupaon_wd_timer2_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_GPIO1_CLKCTRL	0x4ae07838
extern reg dra7xx_wkupaon_cm_cm_wkupaon_gpio1_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_TIMER1_CLKCTRL	0x4ae07840
extern reg dra7xx_wkupaon_cm_cm_wkupaon_timer1_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_TIMER12_CLKCTRL	0x4ae07848
extern reg dra7xx_wkupaon_cm_cm_wkupaon_timer12_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_COUNTER_32K_CLKCTRL	0x4ae07850
extern reg dra7xx_wkupaon_cm_cm_wkupaon_counter_32k_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SAR_RAM_CLKCTRL	0x4ae07860
extern reg dra7xx_wkupaon_cm_cm_wkupaon_sar_ram_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_KBD_CLKCTRL	0x4ae07878
extern reg dra7xx_wkupaon_cm_cm_wkupaon_kbd_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_UART10_CLKCTRL	0x4ae07880
extern reg dra7xx_wkupaon_cm_cm_wkupaon_uart10_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_DCAN1_CLKCTRL	0x4ae07888
extern reg dra7xx_wkupaon_cm_cm_wkupaon_dcan1_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SCRM_CLKCTRL	0x4ae07890
extern reg dra7xx_wkupaon_cm_cm_wkupaon_scrm_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_IO_SRCOMP_CLKCTRL	0x4ae07898
extern reg dra7xx_wkupaon_cm_cm_wkupaon_io_srcomp_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_ADC_CLKCTRL	0x4ae078a0
extern reg dra7xx_wkupaon_cm_cm_wkupaon_adc_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SPARE_SAFETY1_CLKCTRL	0x4ae078b0
extern reg dra7xx_wkupaon_cm_cm_wkupaon_spare_safety1_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SPARE_SAFETY2_CLKCTRL	0x4ae078b8
extern reg dra7xx_wkupaon_cm_cm_wkupaon_spare_safety2_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SPARE_SAFETY3_CLKCTRL	0x4ae078c0
extern reg dra7xx_wkupaon_cm_cm_wkupaon_spare_safety3_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SPARE_SAFETY4_CLKCTRL	0x4ae078c8
extern reg dra7xx_wkupaon_cm_cm_wkupaon_spare_safety4_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SPARE_UNKNOWN2_CLKCTRL	0x4ae078d0
extern reg dra7xx_wkupaon_cm_cm_wkupaon_spare_unknown2_clkctrl;
#define DRA7XX_WKUPAON_CM_CM_WKUPAON_SPARE_UNKNOWN3_CLKCTRL	0x4ae078d8
extern reg dra7xx_wkupaon_cm_cm_wkupaon_spare_unknown3_clkctrl;
#define DRA7XX_WKUPAON_CM_MOD_REGCOUNT			21
extern reg *dra7xx_wkupaon_cm_mod[DRA7XX_WKUPAON_CM_MOD_REGCOUNT + 1];

typedef enum {
	CM_DRA7XX_DSP_CM_CORE_AON,
	CM_DRA7XX_EVE_CM_CORE_AON,
	CM_DRA7XX_INSTR_CM_CORE_AON,
	CM_DRA7XX_IPU_CM_CORE_AON,
	CM_DRA7XX_MPU_CM_CORE_AON,
	CM_DRA7XX_OCP_SOCKET_CM_CORE_AON,
	CM_DRA7XX_RESTORE_CM_CORE_AON,
	CM_DRA7XX_RTC_CM_CORE_AON,
	CM_DRA7XX_VPE_CM_CORE_AON,
	CM_DRA7XX_CAM_CM_CORE,
	CM_DRA7XX_COREAON_CM_CORE,
	CM_DRA7XX_CORE_CM_CORE,
	CM_DRA7XX_CUSTEFUSE_CM_CORE,
	CM_DRA7XX_DSS_CM_CORE,
	CM_DRA7XX_GPU_CM_CORE,
	CM_DRA7XX_IVA_CM_CORE,
	CM_DRA7XX_L3INIT_CM_CORE,
	CM_DRA7XX_L4PER_CM_CORE,
	CM_DRA7XX_OCP_SOCKET_CM_CORE,
	CM_DRA7XX_RESTORE_CM_CORE,
	CM_DRA7XX_CKGEN_CM_CORE_AON,
	CM_DRA7XX_CKGEN_CM_CORE,
	CM_DRA7XX_EMU_CM,
	CM_DRA7XX_WKUPAON_CM,
	CM_DRA7XX_MODS_COUNT = 24
} cm_dra7xx_mod_id;

extern reg **cm_dra7xx_mods[CM_DRA7XX_MODS_COUNT + 1];
extern const char *cm_dra7xx_mods_name[CM_DRA7XX_MODS_COUNT];

typedef enum {
	DPLL_DRA7XX_MPU,
	DPLL_DRA7XX_IVA,
	DPLL_DRA7XX_CORE,
	DPLL_DRA7XX_PER,
	DPLL_DRA7XX_ABE,
	DPLL_DRA7XX_EVE,
	DPLL_DRA7XX_DSP,
	DPLL_DRA7XX_GMAC,
	DPLL_DRA7XX_GPU,
	DPLL_DRA7XX_DDR,
	DPLL_DRA7XX_USB,
	DPLL_DRA7XX_PCIE_REF,
	DPLL_DRA7XX_ID_MAX = 12
} dpll_dra7xx_id;

typedef enum {
	HSDIV_DRA7XX_H11,
	HSDIV_DRA7XX_H12,
	HSDIV_DRA7XX_H13,
	HSDIV_DRA7XX_H14,
	HSDIV_DRA7XX_H21,
	HSDIV_DRA7XX_H22,
	HSDIV_DRA7XX_H23,
	HSDIV_DRA7XX_H24,
	HSDIV_DRA7XX_ID_MAX = 8
} hsdiv_dra7xx_id;

extern const dpll_settings_regs dpll_dra7xx_regs[DPLL_DRA7XX_ID_MAX];
extern const reg *dpll_dra7xx_hsdiv_regs[DPLL_DRA7XX_ID_MAX][HSDIV_DRA7XX_ID_MAX];

#endif
